unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  KsHooks, KsForms, KsSkinForms, KsSkinEngine, KsSkinSource, StdCtrls,
  KsControls, KsButtons, KsSkinButtons, KsGroupBoxs, KsSkinGroupBoxs;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    SeSkinEngine1: TSeSkinEngine;
    SeSkinForm1: TSeSkinForm;
    Button1: TSeSkinButton;
    Button2: TSeSkinButton;
    SeSkinGroupBox1: TSeSkinGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses KsSkinVersion;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption := 'SkinFilter v.' + sSeSkinVersion;

  OpenDialog1.Filter := GetDialogFilter;
  SaveDialog1.InitialDir := ExtractFilePath(ParamStr(0));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    SeSkinEngine1.SkinFile := OpenDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if SaveDialog1.Execute then
    SeSkinEngine1.SkinSource.SaveToFile(SaveDialog1.FileName);
end;

end.
 